#include <stdio.h>
#include <stdlib.h>

#define MAX_SIZE 30

struct tacka_st {
    double x;
    double y;
};

FILE *safe_fopen(char *ime, char *rezim);
void unos_tacaka(FILE *pin, struct tacka_st *tacke, int *pn);
void ispis_koordinate(FILE *pout, struct tacka_st t);
void ispis_koordinata(FILE *pout, struct tacka_st *tacke, int n);

int main(int argc, char **argv) {
    struct tacka_st tacke[MAX_SIZE];
    int n;
    FILE *pin, *pout;

    if(argc != 3) {
        printf("Primer poziva programa: %s tacke.txt koordinate.txt\n", argv[0]);
        exit(EXIT_FAILURE);
    }

    pin = safe_fopen(argv[1], "r");
    unos_tacaka(pin, tacke, &n);
    fclose(pin);

    pout = safe_fopen(argv[2], "w");    
    ispis_koordinata(pout, tacke, n);
    fclose(pout);

    return 0;
}

FILE *safe_fopen(char *ime, char *rezim) {
    FILE *fp = fopen(ime, rezim);
    
    if(fp == NULL) {
        printf("Datoteka %s nije uspesno otvorena!\n", ime);
        exit(EXIT_FAILURE);
    }
    
    return fp;
}

void unos_tacaka(FILE *pin, struct tacka_st *tacke, int *pn) {
    int i = 0;

    while(fscanf(pin, "%lf %lf", &tacke[i].x,
                                 &tacke[i].y) != EOF) {
        i++;
    }
    
    *pn = i;
}

void ispis_koordinate(FILE *pout, struct tacka_st t) {
    fprintf(pout, "(%.2lf, %.2lf)\n", t.x, t.y);
}

void ispis_koordinata(FILE *pout, struct tacka_st *tacke, int n) {
    int i;

    for(i = 0;i < n;i++) {
        ispis_koordinate(pout, tacke[i]);
    }

}

